Subject: Re: bug#53232: 29.0.50; pgtk startup: flashes white background before painting black

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 15 Jan 2022 08:59:37 +0100

Eli Zaretskii <[email-masked]> writes:

>> You get the same in a non-pgtk built, too -- and I think that's to be
>> expected?  Emacs first pops up the frame and then starts doing the
>> --eval stuff, I think.
>
> Yes.

To summarise -- to avoid the flashes, you have to put something like

(add-to-list 'default-frame-alist '(background-color . "#000000"))

in the early-init.el file.  So I think everything works as designed
here, and I'm therefore closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no